#!/bin/bash

MPLAYER=mplayer
MENCODER=mencoder

SRC=$1

if [ -f "$SRC" ]; then
	echo "OK: file exists: $SRC"
else
	echo "ERROR: file does NOT exist: $SRC"
	exit -1
fi

if [ "$Q" = 2 ] ; then
	VF="-vf scale=288:216,eq2=1.5"
	BITRATE=200
	FPS="-ofps 12.5"
fi

if [ "$Q" = 3 ] ; then
	VF="-vf scale=320:240,eq2=1.5"
	BITRATE=250
	FPS="-ofps 12.5"
fi

if [ "$Q" = 4 ] ; then
	VF="-vf scale=400:300"
	BITRATE=350
	FPS="-ofps 12.5"
fi

if [ "$Q" = 9 ] ; then
	VF=""
	BITRATE=2000
	FPS=""
fi

if [ -n "$Q" ]; then
	echo "USING Q=$Q BITRATE=$BITRATE VF=$VF"
fi

# ==================================
if [ -z "$BITRATE" ]; then
	BITRATE=1000
fi

if [ -z "$VF" ]
then
VF="-vf scale=400:304,eq2=1.5"
VF="-vf crop=696:479:8:1,spp,scale=400:304,eq2=1.5"
VF="-vf scale=640:480,eq2=1.5"
VF=""
fi

if [ -z "$FPS" ]; then
FPS="-ofps 25"
FPS=""
FPS="-ofps 12.5"
fi

# Nagyon j minsg
Q9="chroma_opt:vhq=4:bvhq=1:quant_type=mpeg"
# J minsg
Q7="vhq=2:bvhq=1:chroma_opt:quant_type=mpeg"
# Gyors
Q3="turbo:vhq=0"
# Vals idej
Q1="turbo:nochroma_me:notrellis:max_bframes=0:vhq=0"



# http://quadpoint.org/projects/simplerip
# http://wiki.qwdrama.com/Mencoder_howto
# mencoder "mf://*.tga" -mf fps=25 -o /dev/null -ovc xvid -xvidencopts pass=1:bitrate=3000 -vf scale=320:240,eq2=1.5
# mencoder "mf://*.tga" -mf fps=25 -o output.avi -ovc xvid -xvidencopts pass=2:bitrate=3000 -vf scale=320:240,eq2=1.5

if [ -f $SRC.divx2pass.log ]
then
	rm divx2pass.log
	ln -s $SRC.divx2pass.log divx2pass.log
fi

# include this script in the tgz as well (eg. to remember options)

if [ ! -f divx2pass.log ]
then
	echo "running pass=1"
	$MENCODER -o /dev/null -oac copy -ovc xvid -xvidencopts pass=1:bitrate=$BITRATE $VF $SRC
	tar czvf $SRC.divx2pass.tgz divx2pass.log $0
	rm $SRC.divx2pass.log
	cp divx2pass.log $SRC.divx2pass.log
fi

# -lameopts cbr:br=64:mode=3:lowpassfreq=6000:vol=10
echo "running pass=2"
$MENCODER -o $SRC.avi -oac mp3lame -lameopts cbr:br=32:mode=3:lowpassfreq=6000 -ovc xvid -xvidencopts pass=2:bitrate=$BITRATE $VF $FPS $SRC

